## EvImage

EvImage

## Synopsis

                        EvImagePrivate;
                        EvImage;
    EvImage*            ev_image_new                        (gint page,
                                                             gint img_id);
    EvImage*            ev_image_new_from_pixbuf            (GdkPixbuf *pixbuf);
    gint                ev_image_get_id                     (EvImage *image);
    gint                ev_image_get_page                   (EvImage *image);
    GdkPixbuf*          ev_image_get_pixbuf                 (EvImage *image);
    const gchar*        ev_image_save_tmp                   (EvImage *image,
                                                             GdkPixbuf *pixbuf);
    const gchar*        ev_image_get_tmp_uri                (EvImage *image);
                        EvImageMapping;
    void                ev_image_mapping_free               (GList *image_mapping);
    EvImage*            ev_image_mapping_find               (GList *image_mapping,
                                                             gdouble x,
                                                             gdouble y);

## Object Hierarchy

      GObject
       +----EvImage

## Description

## Details

### EvImagePrivate

    typedef struct _EvImagePrivate EvImagePrivate;

### EvImage

    typedef struct _EvImage EvImage;

### ev_image_new ()

    EvImage*            ev_image_new                        (gint page,
                                                             gint img_id);

`page` : |
`img_id` : |
Returns : |

### ev_image_new_from_pixbuf ()

    EvImage*            ev_image_new_from_pixbuf            (GdkPixbuf *pixbuf);

`pixbuf` : |
Returns : |

### ev_image_get_id ()

    gint                ev_image_get_id                     (EvImage *image);

`image` : |
Returns : |

### ev_image_get_page ()

    gint                ev_image_get_page                   (EvImage *image);

`image` : |
Returns : |

### ev_image_get_pixbuf ()

    GdkPixbuf*          ev_image_get_pixbuf                 (EvImage *image);

`image` : |
Returns : |

### ev_image_save_tmp ()

    const gchar*        ev_image_save_tmp                   (EvImage *image,
                                                             GdkPixbuf *pixbuf);

`image` : |
`pixbuf` : |
Returns : |

### ev_image_get_tmp_uri ()

    const gchar*        ev_image_get_tmp_uri                (EvImage *image);

`image` : |
Returns : |

### EvImageMapping

    typedef struct {
    	EvImage *image;
    	gdouble x1;
    	gdouble y1;
    	gdouble x2;
    	gdouble y2;
    } EvImageMapping;

### ev_image_mapping_free ()

    void                ev_image_mapping_free               (GList *image_mapping);

`image_mapping` : |

### ev_image_mapping_find ()

    EvImage*            ev_image_mapping_find               (GList *image_mapping,
                                                             gdouble x,
                                                             gdouble y);

`image_mapping` : |
`x` : |
`y` : |
Returns : |